"""allow external sources

Revision ID: f4f01b12b5fb
Revises: 598acdb260d1
Create Date: 2020-08-03 00:46:18.185539

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = "f4f01b12b5fb"
down_revision = "598acdb260d1"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column(
        "source", sa.Column("external_url", sa.String(length=1024), nullable=True)
    )
    op.add_column("source", sa.Column("is_external", sa.Boolean(), nullable=True))
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_column("source", "is_external")
    op.drop_column("source", "external_url")
    # ### end Alembic commands ###
